<?php

/**
 * Fired during plugin activation
 *
 * @link       https://byronj.me
 * @since      1.0.0
 *
 * @package    Editor_Appearance_Access
 * @subpackage Editor_Appearance_Access/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Editor_Appearance_Access
 * @subpackage Editor_Appearance_Access/includes
 * @author     Byron Johnson <me@byronj.me>
 */
class Editor_Appearance_Access_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {
		$editor_role = get_role( 'editor' );
        $editor_role->add_cap( 'edit_theme_options' );

        flush_rewrite_rules();
	}

}
