<?php

/**
 * Fired during plugin deactivation
 *
 * @link       https://byronj.me
 * @since      1.0.0
 *
 * @package    Editor_Appearance_Access
 * @subpackage Editor_Appearance_Access/includes
 */

/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @since      1.0.0
 * @package    Editor_Appearance_Access
 * @subpackage Editor_Appearance_Access/includes
 * @author     Byron Johnson <me@byronj.me>
 */
class Editor_Appearance_Access_Deactivator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function deactivate() {
		$editor_role = get_role( 'editor' );
		$editor_role->remove_cap( 'edit_theme_options' );
		$editor_role->remove_cap('edit_themes');
		$editor_role->remove_cap('install_themes');
		$editor_role->remove_cap('update_themes');
		$editor_role->remove_cap('delete_themes');
		$editor_role->remove_cap('switch_themes');

        flush_rewrite_rules();
	}

}
