<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       https://byronj.me
 * @since      1.0.0
 *
 * @package    Editor_Appearance_Access
 * @subpackage Editor_Appearance_Access/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Editor_Appearance_Access
 * @subpackage Editor_Appearance_Access/includes
 * @author     Byron Johnson <me@byronj.me>
 */
class Editor_Appearance_Access_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'editor-appearance-access',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
